Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

App "incompatible with device" ?

Discussion in 'General Discussion' started by Skywalker, Nov 27, 2015.

  1. Skywalker

    Joined:
    Oct 24, 2015
    Messages:
    232
    Likes Received:
    88
    Location:
    Amelia Island, FL
    Just got a Samsung tablet for a dedicated P3a device.

    But when I try to install "GO",I get an error msg. Something about my device is incompatible.

    What's the deal and how do I fix it? Thanx.
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    25,576
    Likes Received:
    7,751
    Location:
    Harrisburg, PA (US)
    What kind of tablet? And, which OS are you running?
     
  3. Skywalker

    Joined:
    Oct 24, 2015
    Messages:
    232
    Likes Received:
    88
    Location:
    Amelia Island, FL
    Found it. Had to turn off accepting only apps from approved source.
     
  4. RoyKron3

    Joined:
    May 24, 2015
    Messages:
    58
    Likes Received:
    13
    Thanks for that post. I purchased a Samsung phone for $35 to use with my P3P and was running into the same issue with the Go app. Turned off the approved source setting and it installed fine.
     
Loading...
Similar Threads - App incompatible device Forum Date
P3 Firmware Dji go app now incompatible with the samsung S7 Edge Firmware Sep 22, 2016
My biggest fear... has happened! HELP!!! Pro/Adv Discussion Today at 5:48 PM
Are color profiles defined in the aircraft, or in the app? General Discussion Today at 5:12 PM
The Litchi app: Anyone had or still has it? For how long and do you have any remarks about using it? Control (Go, Litchi, etc..) Today at 5:02 PM
Standard Mapp not working Phantom 3 Help Today at 3:52 AM